__break_lease
Prev | File Locks | Next

## Name

__break_lease — revoke all outstanding leases on file

## Synopsis

`int __break_lease (` | struct inode * | inode,
| unsigned int | mode`)`;

## Arguments

`inode`

  the inode of the file to return

`mode`

  the open mode (read or write)

## Description

break_lease (inlined for speed) has checked there already is at least some kind of lock (maybe a lease) on this file. Leases are broken on a call to `open` or `truncate`. This function can sleep unless you specified `O_NONBLOCK` to your `open`.

Prev | Up | Next
locks_mandatory_area | Home | lease_get_mtime